#ifndef __vtkTF_h
#define __vtkTF_h

#include "vtkDataSetToPolyDataFilter.h"
#include "vtkPVTFConfigure.h"




class VTK_PVTF_EXPORT vtkTrilateralFiltering : public vtkDataSetToPolyDataFilter 
{
public:
  vtkTypeRevisionMacro(vtkTrilateralFiltering,vtkDataSetToPolyDataFilter);
  void PrintSelf(ostream& os, vtkIndent indent);

  // Description:
    static vtkTrilateralFiltering *New();
  


protected:
  vtkTrilateralFiltering();
  ~vtkTrilateralFiltering();



  void ExecuteInformation();
  void ExecuteData(vtkDataObject *);

  
private:
  

  vtkTrilateralFiltering(const vtkTrilateralFiltering&);  // Not implemented.
  void operator=(const vtkTrilateralFiltering&);  // Not implemented.
};

#endif
